Bug 55750 - mail/courier is broken
Summary: mail/courier is broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-08-20 10:41 UTC by Shizuka Kudo
Modified: 2003-12-13 23:21 UTC (History)
1 user (show)

See Also:


Attachments
courier.diff (3.04 KB, patch)
2003-08-21 04:58 UTC, Shizuka Kudo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shizuka Kudo 2003-08-20 10:41:23 UTC
        mail/courier is outdated.

Fix: Applying this patch allows upgrade courier to 0.43.0.



__________________________________
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo.
http://search.yahoo.com
--0-927373658-1061308950=:96271
Content-Type: text/plain; name="courier.diff"
Content-Description: courier.diff
Content-Disposition: inline; filename="courier.diff"



--0-927373658-1061308950=:96271----I6Y9SGoDnWydv1kooNSxFO53FO1DOZmj9p64HmXgX90qNz7s
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig	Sun Aug 10 06:40:31 2003
+++ Makefile	Tue Aug 19 23:23:26 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	courier
-PORTVERSION=	0.42.2
+PORTVERSION=	0.43.0
 CATEGORIES=	mail ipv6
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	courier
--- Makefile.man.orig	Sun Aug 10 06:40:31 2003
+++ Makefile.man	Tue Aug 19 23:39:33 2003
@@ -6,6 +6,7 @@
 	dot-forward.1 \
 	lockmail.1 \
 	mailbot.1 \
+	maildirkw.1 \
 	maildirmake.1 \
 	maildrop.1 \
 	mailq.1 \
--- distinfo.orig	Sun Aug 10 06:40:31 2003
+++ distinfo	Tue Aug 19 23:24:49 2003
@@ -1 +1 @@
-MD5 (courier-0.42.2.tar.bz2) = f607cbd949dd0fe7f138cf3b65d702f4
+MD5 (courier-0.43.0.tar.bz2) = 9365eba95623fb93f0ee61fe65507040
--- pkg-plist.orig	Tue Aug 19 23:36:02 2003
+++ pkg-plist	Tue Aug 19 23:42:19 2003
@@ -37,6 +37,7 @@
 bin/imapd
 bin/lockmail
 bin/mailbot
+bin/maildirkw
 bin/maildirmake
 bin/maildrop
 bin/mailq
@@ -652,6 +653,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/html/lockmail.html
 %%PORTDOCS%%%%DOCSDIR%%/html/mailbot.html
 %%PORTDOCS%%%%DOCSDIR%%/html/maildir.html
+%%PORTDOCS%%%%DOCSDIR%%/html/maildirkw.html
 %%PORTDOCS%%%%DOCSDIR%%/html/maildirmake.html
 %%PORTDOCS%%%%DOCSDIR%%/html/maildirquota.html
 %%PORTDOCS%%%%DOCSDIR%%/html/maildrop.README.html
How-To-Repeat:         cd /usr/ports/mail/courier; make
Comment 1 Oliver Lehmann 2003-08-20 11:35:12 UTC
Hi,

please send an update to the recent released 0.43.1. 0.43.0 has the same
problem as courier-imap 2.1.0 had (When KEYWORD_ENABLED wasn't specified
in the config file).
Comment 2 Shizuka Kudo 2003-08-21 04:58:02 UTC
Version 0.43.0 has problem with IMAP. The attached patch will upgrade 
the current 0.42.2 to 0.43.1

--- FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/55750'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=55750
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       mail/courier is broken
> >Arrival-Date:   Wed Aug 20 02:41:23 PDT 2003


__________________________________
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo.
http://search.yahoo.com
Comment 3 Shizuka Kudo 2003-08-21 08:56:43 UTC
--- Shizuka Kudo <shizukakudo_99@yahoo.com> wrote:
> Version 0.43.0 has problem with IMAP. The attached patch will upgrade 
> the current 0.42.2 to 0.43.1

This patch also include the update of sysconftool to 0.14.

Regards,

> 
> --- FreeBSD-gnats-submit@FreeBSD.org wrote:
> > Thank you very much for your problem report.
> > It has the internal identification `ports/55750'.
> > The individual assigned to look at your
> > report is: freebsd-ports-bugs. 
> > 
> > You can access the state of your problem report at any time
> > via this link:
> > 
> > http://www.freebsd.org/cgi/query-pr.cgi?pr=55750
> > 
> > >Category:       ports
> > >Responsible:    freebsd-ports-bugs
> > >Synopsis:       mail/courier is broken
> > >Arrival-Date:   Wed Aug 20 02:41:23 PDT 2003
> 
> 
> __________________________________
> Do you Yahoo!?
> The New Yahoo! Search - Faster. Easier. Bingo.
> http://search.yahoo.com> diff -ur devel/sysconftool/Makefile.orig devel/sysconftool/Makefile
> --- devel/sysconftool/Makefile.orig	Fri Feb 21 19:23:00 2003
> +++ devel/sysconftool/Makefile	Thu Aug 21 00:21:11 2003
> @@ -6,7 +6,7 @@
>  #
>  
>  PORTNAME=	sysconftool
> -PORTVERSION=	0.13
> +PORTVERSION=	0.14
>  CATEGORIES=	devel
>  MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
>  MASTER_SITE_SUBDIR=	courier
> @@ -14,8 +14,9 @@
>  MAINTAINER=	yds@CoolRat.org
>  COMMENT=	Helps to install application configuration files
>  
> +USE_BZIP2=	yes
>  USE_PERL5=	yes
> -USE_AUTOMAKE_VER=	14
> +WANT_AUTOMAKE_VER=	15
>  
>  MAN1=		sysconftool.1 sysconftoolcheck.1
>  MAN7=		sysconftool.7
> diff -ur devel/sysconftool/distinfo.orig devel/sysconftool/distinfo
> --- devel/sysconftool/distinfo.orig	Wed Jan 30 09:36:44 2002
> +++ devel/sysconftool/distinfo	Thu Aug 21 00:21:11 2003
> @@ -1 +1 @@
> -MD5 (sysconftool-0.13.tar.gz) = 151d2e4777ebbf26d8c8d4c4733772e9
> +MD5 (sysconftool-0.14.tar.bz2) = 899bd76c99c9654160c046e04f74d2b1
> diff -ur devel/sysconftool/pkg-plist.orig devel/sysconftool/pkg-plist
> --- devel/sysconftool/pkg-plist.orig	Fri Dec 20 18:17:58 2002
> +++ devel/sysconftool/pkg-plist	Thu Aug 21 00:21:11 2003
> @@ -1,6 +1,6 @@
>  bin/sysconftoolize
>  bin/sysconftoolcheck
> -share/aclocal14/sysconftool.m4
> +share/aclocal/sysconftool.m4
>  share/sysconftool/sysconftool
>  share/sysconftool/sysconftoolize.pl
>  share/sysconftool/sysconftoolcheck
> diff -ur mail/courier/Makefile.orig mail/courier/Makefile
> --- mail/courier/Makefile.orig	Sun Aug 10 06:40:31 2003
> +++ mail/courier/Makefile	Thu Aug 21 02:51:46 2003
> @@ -6,7 +6,7 @@
>  #
>  
>  PORTNAME=	courier
> -PORTVERSION=	0.42.2
> +PORTVERSION=	0.43.1
>  CATEGORIES=	mail ipv6
>  MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
>  MASTER_SITE_SUBDIR=	courier
> @@ -52,8 +52,6 @@
>  USE_SUBMAKE=	yes
>  USE_PERL5=	yes
>  USE_GMAKE=	yes
> -USE_AUTOMAKE=	yes
> -USE_LIBTOOL=	yes
>  USE_OPENSSL=	yes
>  USE_AUTOMAKE_VER=15
>  CONFIGURE_ENV=	REHASH=${SCRIPTDIR}/c_rehash
> diff -ur mail/courier/Makefile.man.orig mail/courier/Makefile.man
> --- mail/courier/Makefile.man.orig	Sun Aug 10 06:40:31 2003
> +++ mail/courier/Makefile.man	Thu Aug 21 00:21:11 2003
> @@ -6,6 +6,7 @@
>  	dot-forward.1 \
>  	lockmail.1 \
>  	mailbot.1 \
> +	maildirkw.1 \
>  	maildirmake.1 \
>  	maildrop.1 \
>  	mailq.1 \
> diff -ur mail/courier/distinfo.orig mail/courier/distinfo
> --- mail/courier/distinfo.orig	Sun Aug 10 06:40:31 2003
> +++ mail/courier/distinfo	Thu Aug 21 00:21:11 2003
> @@ -1 +1 @@
> -MD5 (courier-0.42.2.tar.bz2) = f607cbd949dd0fe7f138cf3b65d702f4
> +MD5 (courier-0.43.1.tar.bz2) = ff08b1be931fd720704a71d3045cb212
> diff -ur mail/courier/pkg-plist.orig mail/courier/pkg-plist
> --- mail/courier/pkg-plist.orig	Tue Aug 19 23:36:02 2003
> +++ mail/courier/pkg-plist	Thu Aug 21 00:21:11 2003
> @@ -37,6 +37,7 @@
>  bin/imapd
>  bin/lockmail
>  bin/mailbot
> +bin/maildirkw
>  bin/maildirmake
>  bin/maildrop
>  bin/mailq
> @@ -652,6 +653,7 @@
>  %%PORTDOCS%%%%DOCSDIR%%/html/lockmail.html
>  %%PORTDOCS%%%%DOCSDIR%%/html/mailbot.html
>  %%PORTDOCS%%%%DOCSDIR%%/html/maildir.html
> +%%PORTDOCS%%%%DOCSDIR%%/html/maildirkw.html
>  %%PORTDOCS%%%%DOCSDIR%%/html/maildirmake.html
>  %%PORTDOCS%%%%DOCSDIR%%/html/maildirquota.html
>  %%PORTDOCS%%%%DOCSDIR%%/html/maildrop.README.html
> 


__________________________________
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo.
http://search.yahoo.com
Comment 4 Edwin Groothuis freebsd_committer 2003-09-08 12:05:17 UTC
I have commited the patch for sysutils/sysconfigtool, but couldn't
figure out why I couldn't get mail/courier compiled under -current.

Edwin

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@freebsd.org    |    Weblog: http://www.mavetju.org/weblog/weblog.php
Comment 5 Shizuka Kudo 2003-09-08 15:31:07 UTC
Hi Edwin,

Any error message? I have compiled the port with my patch at around 1 Sept without problem

shizuka% pkg_info | grep sysconftool
sysconftool-0.14    Helps to install application configuration files
shizuka% pkg_info | grep courier
courier-0.43.1      Courier SMTP IMAP POP3 HTTP mail server suite


--- Edwin Groothuis <edwin@freebsd.org> wrote:
> I have commited the patch for sysutils/sysconfigtool, but couldn't
> figure out why I couldn't get mail/courier compiled under -current.
> 
> Edwin
> 
> -- 
> Edwin Groothuis      |            Personal website: http://www.mavetju.org
> edwin@freebsd.org    |    Weblog: http://www.mavetju.org/weblog/weblog.php 

__________________________________
Do you Yahoo!?
Yahoo! SiteBuilder - Free, easy-to-use web site design software
http://sitebuilder.yahoo.com
Comment 6 Sergei Kolobov freebsd_committer 2003-12-13 23:19:37 UTC
State Changed
From-To: open->closed

mail/courier is now at 0.44.0 (updated from your ports/59367) 
devel/sysconftool was updated to 0.14 on 2003-09-08 by edwin. 
Thanks!